cutlass::TypeTraits< complex< double > > Struct Template Reference

`#include <type_traits.h>`

## Classes

struct | integer_type
struct | unsigned_type

## Public Types

typedef complex< double > | host_type
typedef complex< double > | device_type

## Static Public Member Functions

static complex< double > | remove_negative_zero (complex< double > x)
static complex< double > | to_print (complex< double > x)
static device_type | to_device (complex< double > x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_C_64F

## Member Typedef Documentation

typedef complex<double> cutlass::TypeTraits< complex< double > >::device_type

typedef complex<double> cutlass::TypeTraits< complex< double > >::host_type

## Member Function Documentation

static complex<double> cutlass::TypeTraits< complex< double > >::remove_negative_zero | ( | complex< double > | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< complex< double > >::to_device | ( | complex< double > | x | ) |

inlinestatic

static complex<double> cutlass::TypeTraits< complex< double > >::to_print | ( | complex< double > | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< complex< double > >::cublas_type = CUDA_C_64F

static

The documentation for this struct was generated from the following file:

- type_traits.h